Command:
    Help:
        # Lists all commands rather than pages.
        List: false
        # Shows all aliases of the commands.
        Aliases:
            Enable: true
Sound:
    # When disabled all sounds will be disabled.
    Enable: true
Island:
    Size:
        # [!] Do not go over 1000 for both of these options.
        # The size of an Island when created.
        # [!] Do not go over the maximum.
        # [!] Even numbers WILL create world border issues.
        Minimum: 100
        # The maximum size of an Island based on the permission node 'skyblock.size.<size>'.
        Maximum: 200
    Creation:
        # Rather than opening the 'Island Creator' menu. Create an island
        # as soon as a player performs the '/island' or '/island create'
        # command.
        # [!] The first created structure will be selected.
        Menu:
            Enable: true
        # [!] You are adviced to keep these options both enabled to prevent any issues.
        Cooldown:
            # When enabled cooldown will start when a player creates an Island.
            Creation:
                Enable: true
            # When enabled cooldown will start when a player deletes their Island.
            Deletion:
                Enable: true
            # Time until player can create another island.
            Time: 60
        # [!] How many seconds to wait before teleporting to a newly created island
        TeleportTimeout: 1
    World:
        # Delete the Island world when changing the liquid option.
        # If lava disabled, the world will be a water world.
        # -1 to disable Nether and End unlock prices.
        # Valid Environments: NORMAL, NETHER, THE_END
        Normal:
            Name: "island_normal_world"
            IslandSpawnHeight: 72
            Environment: NORMAL
            Liquid:
                Enable: false
                Lava: false
                Height: 60
        Nether:
            Name: "island_nether_world"
            IslandSpawnHeight: 72
            Environment: NETHER
            UnlockPrice: 10000
            Enable: true
            Liquid:
                Enable: false
                Lava: true
                Height: 60
        End:
            Name: "island_end_world"
            IslandSpawnHeight: 72
            Environment: THE_END
            UnlockPrice: 50000
            Enable: true
            Liquid:
                Enable: false
                Lava: false
                Height: 60
    Member:
        # Max amount of players allowed to be in a team.
        Capacity: 12
    Chat:
        # If island chat should be output to console
        OutputToConsole: true
    WorldBorder:
        # Generates a worldborder around Islands.
        # [!] WorldBorders will not show in Nether world due to centering bug
        #     with some Spigot builds.
        Enable: true
        # Prevent blocks being placed that would go outside of the Island border
        # Pistons | Dispensers | Liquid Flow
        Block: true
    Spawn:
        # Prevents blocks being placed inside the location where players spawn on
        # an Island. When setting the spawn points, this option when enabled will
        # require the player to position themselves at the center of the block.
        # [!] Recommended to use especially to prevent players glitching in blocks
        #     and to prevent liquid flow at spawn point.
        Protection: true
    Leaderboard:
        Reset:
            # Time until Leaderboard resets
            Time: 300
        # If users with the permission should be exempt from /is leaderboard
        Exemptions:
            Enable: false
    Invite:
        # Time until Island invite expires
        Time: 300
    Coop:
        # Allow players to visit islands as long as the owner or operator is online even
        # if the island is closed.
        Enable: true
        # If enabled, cooped players will not be saved when they disconnect from the server.
        Unload: false
    Visit:
        Menu:
            # If disabled, any islands the player has been banned from will be removed when they
            # open the Island Visit menu.
            Bans: false
    Preview:
        Time: 10
    Visitor:
        # When an Island is unloaded if enabled players won't be able to visit the Island
        # even if it's open.
        # [!] Enabling will prevent possible memory leak issues affecting performance.
        Unload: false
        # Upon Island creation is the Island open to visit?
        Open: false
        # Allow players to vote for Islands. This will filter Islands with more votes first
        # in the Visit Island menu.
        Vote: true
        Welcome:
            # When disabled Island owners or operators will not be able to set a Welcome Message
            # and visitors will not see the Welcome Message.
            Enable: true
            # Maximum lines allowed for Welcome Message
            Lines: 6
            # Length allowed for each line
            Length: 30
        Signature:
            # When disabled Island owners or operators will not be able to set a Signature and
            # a Signature will not be visible in the Island Visit menu.
            Enable: true
            # Maximum lines allowed for Signature
            Lines: 6
            # Length allowed for each line
            Length: 30
        # Max amount of players allowed at a Island. This also includes Island Members.
        # [!] Set to -1 for unlimited capacity.
        Capacity: 25
        # Allow Island Operators or Owners to ban players from their Island.
        Banning: true
    Biome:
        # Default Biome set when a player creates an Island
        # Biomes Available:
        #   BADLANDS | COLD_OCEAN | DARK_FOREST | DESERT | FOREST | JUNGLE
        #   MOUNTAINS | MUSHROOM_FIELDS | NETHER | PLAINS | RIVER | SAVANNA
        #   SNOWY_BEACH | SWAMP | TAIGA | THE_END | THE_VOID | WARM_OCEAN
        # Notice: Only use biomes available in your server version!
        Default:
            Type: Plains
        Cooldown:
            Time: 900
        # If the Nether/End biomes should be allowed in the overworld
        AllowOtherWorldlyBiomes:
            Nether: true
            End: true
    Weather:
        Default:
            # The weather and time will operate the same weather and time as the world.
            # If disabled, the weather and time will be fixed to the weather and time
            # options.
            Synchronised: true
            # [!] Make sure the time is one of the choices below
            #     Choices: 0 | 1000 | 6000 | 12000 | 13000 | 18000
            Time: 6000
            Weather: Clear
        # Prevents ice and snow layer blocks being set in snowy conditions.
        # [!] Recommended to keep this disabled to prevent confusion if island weather
        #     and time is not synchronised.
        IceAndSnow: false
        Time:
            # When the Island is not synchronised with the time of the World, should the
            # time cycle or be fixed.
            Cycle: false
    Levelling:
        # Should the level scanner scan water?
        ScanLiquid: false
        # Run a scan automatically when pasting an island structure
        ScanAutomatically: true
        # Include Points: 0 in the '/is level' GUI
        IncludeEmptyPointsInList: true
        # Island Level Points divided by value
        Division: 100
        Cooldown:
            # Time until Island level rescan expires
            Time: 60
    Confirmation:
        # Time until confirmation expires for island ownership and island deletion
        # confirmations.
        Timeout: 10
    Ownership:
        Transfer:
            Role:
                # When Island ownership is transfer to a different player the previous
                # Island owner will become an operator.
                Operator: true
        Password:
            # When ownership has been assigned to a player the Island password will
            # be reset.
            Reset: true
        Cooldown:
            # Time until Island Ownership reassign expires
            Time: 60
    Void:
        Teleport:
            # Prevents players from being killed by the Void when at an Island.
            Enable: true
            # When disabled, players will teleport the the main spawn point rather than the Island.
            Island: true
            # The Y position that the player is teleported when reached.
            Offset: 30
            # When enabled, the players inventory and XP will be cleared when they fall off of the Island.
            ClearInventory: false
    Block:
        Obsidian:
            # When enabled, players can right-click an obsidian block to retrieve lava at an Island.
            # [!] This requires the player to have the 'Bucket' permission.
            Enable: false
        EndFrame:
            # When enabled, players can right-click an end frame to retrieve it at an Island.
            # [!] This requires the player to have the 'Destroy' permission.
            Enable: false
        Level:
            # When enabled, any changes to a block will be made to the levelling materials
            # calculated for an island.
            Enable: true
        Piston:
            # Prevent Piston blocks being retracted or extended when connected to a circuit
            # [!] Prevents Pistons extending out of Island border bug
            Connected:
                Retract: true
                Extend: true
    Liquid:
        Teleport:
            # Teleports the player back to the Island if they enter the liquid if world is a
            # liquid world.
            Enable: true
    Death:
        AutoRespawn: true
        Respawn:
            # When a player respawns after dying at an island decide where they respawn.
            # [!] If enabled, players will respawn at the island they died at. If disabled,
            #     players will respawn at the main spawn location.
            Island: true
    Join:
        # When enabled, players will be teleported to the main spawn point when they join the server.
        Spawn: false
        # When enabled, players will be teleported to their island spawn point when they join the server.
        Island: false
    Damage:
        # When the setting 'Damage' has been disabled, if this option is enabled, players will take
        # damage at an island. This discludes entity and void damage.
        Enable: false
    PvP:
        # When the setting 'PvP' has been disabled, if this option is enabled, players will be
        # able to damage other players at an island.
        Enable: false
    KeepItemsOnDeath:
        # When the setting 'KeepItemsOnDeath' has been disabled, if this option is enabled, players will keep
        # items in their inventory if they die at an island.
        Enable: true
    Settings:
        # When any of these options are disabled, the setting will be removed from the 'Island Settings'
        # menu.
        KeepItemsOnDeath:
            Enable: true
        PvP:
            Enable: true
        Damage:
            Enable: true
        Hunger:
            Enable: false
    Portal:
        # When disabled, when a player enters a portal, they will teleport to the nether or
        # end world rather than the island world.
        # [!] Recommend to keep this enabled to prevent performance drop with chunk loading.
        Island: true
    Bank:
        Enable: true
        AllowDecimals: true
    Admin:
        Structure:
            # Item Material used to select positions for a structure.
            Selector: "DIAMOND_AXE"
    Scoreboard:
        Enable: true
    Generator:
        Enable: true
    Stackable:
        Enable: true
        # fabledskyblock.stackables
        RequirePermission: false
        Limit:
            Enable: false
    LevelRewards:
        Rewards: false
        Messages: false
    Challenge:
        # Enable or disable challenges. Configuration for challenges are in challenges.yml file
        Enable: true
